Package org.optaplanner.benchmark.impl.report

## Class BenchmarkReport

- java.lang.Object
- - org.optaplanner.benchmark.impl.report.BenchmarkReport

-     public class BenchmarkReport
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CHARTED_SCORE_LEVEL_SIZE` |
    `static int` | `LOG_SCALE_MIN_DATASETS_COUNT` |
    `protected org.slf4j.Logger` | `logger` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BenchmarkReport​(PlannerBenchmarkResult plannerBenchmarkResult)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `fillWarningList()` |
    `List<File>` | `getBestScoreDistributionSummaryChartFileList()` |
    `List<File>` | `getBestScorePerTimeSpentSummaryChartFileList()` |
    `List<File>` | `getBestScoreScalabilitySummaryChartFileList()` |
    `List<File>` | `getBestScoreSummaryChartFileList()` |
    `Integer` | `getDefaultShownScoreLevelIndex()` |
    `File` | `getHtmlOverviewFile()` |
    `Locale` | `getLocale()` |
    `PlannerBenchmarkResult` | `getPlannerBenchmarkResult()` |
    `String` | `getRelativePathToBenchmarkReportDirectory​(File file)` |
    `File` | `getScoreCalculationSpeedSummaryChartFile()` |
    `String` | `getSolverRankingClassFullName()` |
    `String` | `getSolverRankingClassSimpleName()` |
    `Comparator<SolverBenchmarkResult>` | `getSolverRankingComparator()` |
    `SolverRankingWeightFactory` | `getSolverRankingWeightFactory()` |
    `File` | `getSummaryDirectory()` |
    `File` | `getTimeSpentScalabilitySummaryChartFile()` |
    `File` | `getTimeSpentSummaryChartFile()` |
    `ZoneId` | `getTimezoneId()` |
    `List<String>` | `getWarningList()` |
    `List<File>` | `getWinningScoreDifferenceSummaryChartFileList()` |
    `File` | `getWorstScoreCalculationSpeedDifferencePercentageSummaryChartFile()` |
    `List<File>` | `getWorstScoreDifferencePercentageSummaryChartFileList()` |
    `void` | `setLocale​(Locale locale)` |
    `void` | `setSolverRankingComparator​(Comparator<SolverBenchmarkResult> solverRankingComparator)` |
    `void` | `setSolverRankingWeightFactory​(SolverRankingWeightFactory solverRankingWeightFactory)` |
    `void` | `setTimezoneId​(ZoneId timezoneId)` |
    `protected boolean` | `useLogarithmicProblemScale​(List<org.jfree.data.xy.XYSeries> seriesList)` |
    `void` | `writeReport()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

    - #### CHARTED_SCORE_LEVEL_SIZE

          public static final int CHARTED_SCORE_LEVEL_SIZE

      See Also:
        Constant Field Values

    - #### LOG_SCALE_MIN_DATASETS_COUNT

          public static final int LOG_SCALE_MIN_DATASETS_COUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BenchmarkReport

          public BenchmarkReport​(PlannerBenchmarkResult plannerBenchmarkResult)

  - ### Method Detail

    - #### getPlannerBenchmarkResult

          public PlannerBenchmarkResult getPlannerBenchmarkResult()

    - #### getLocale

          public Locale getLocale()

    - #### setLocale

          public void setLocale​(Locale locale)

    - #### getTimezoneId

          public ZoneId getTimezoneId()

    - #### setTimezoneId

          public void setTimezoneId​(ZoneId timezoneId)

    - #### getSolverRankingComparator

          public Comparator<SolverBenchmarkResult> getSolverRankingComparator()

    - #### setSolverRankingComparator

          public void setSolverRankingComparator​(Comparator<SolverBenchmarkResult> solverRankingComparator)

    - #### getSolverRankingWeightFactory

          public SolverRankingWeightFactory getSolverRankingWeightFactory()

    - #### setSolverRankingWeightFactory

          public void setSolverRankingWeightFactory​(SolverRankingWeightFactory solverRankingWeightFactory)

    - #### getSummaryDirectory

          public File getSummaryDirectory()

    - #### getBestScoreSummaryChartFileList

          public List<File> getBestScoreSummaryChartFileList()

    - #### getBestScoreScalabilitySummaryChartFileList

          public List<File> getBestScoreScalabilitySummaryChartFileList()

    - #### getBestScoreDistributionSummaryChartFileList

          public List<File> getBestScoreDistributionSummaryChartFileList()

    - #### getWinningScoreDifferenceSummaryChartFileList

          public List<File> getWinningScoreDifferenceSummaryChartFileList()

    - #### getWorstScoreDifferencePercentageSummaryChartFileList

          public List<File> getWorstScoreDifferencePercentageSummaryChartFileList()

    - #### getScoreCalculationSpeedSummaryChartFile

          public File getScoreCalculationSpeedSummaryChartFile()

    - #### getWorstScoreCalculationSpeedDifferencePercentageSummaryChartFile

          public File getWorstScoreCalculationSpeedDifferencePercentageSummaryChartFile()

    - #### getTimeSpentSummaryChartFile

          public File getTimeSpentSummaryChartFile()

    - #### getTimeSpentScalabilitySummaryChartFile

          public File getTimeSpentScalabilitySummaryChartFile()

    - #### getBestScorePerTimeSpentSummaryChartFileList

          public List<File> getBestScorePerTimeSpentSummaryChartFileList()

    - #### getDefaultShownScoreLevelIndex

          public Integer getDefaultShownScoreLevelIndex()

    - #### getWarningList

          public List<String> getWarningList()

    - #### getHtmlOverviewFile

          public File getHtmlOverviewFile()

    - #### getRelativePathToBenchmarkReportDirectory

          public String getRelativePathToBenchmarkReportDirectory​(File file)

    - #### getSolverRankingClassSimpleName

          public String getSolverRankingClassSimpleName()

    - #### getSolverRankingClassFullName

          public String getSolverRankingClassFullName()

    - #### writeReport

          public void writeReport()

    - #### fillWarningList

          protected void fillWarningList()

    - #### useLogarithmicProblemScale

          protected boolean useLogarithmicProblemScale​(List<org.jfree.data.xy.XYSeries> seriesList)